<?php # Additional routing for the app

Router::parseExtensions('json');
Router::connect('/api/v:version/:action', [ C => 'api' ], [ 'version' => '[1-9][0-9]*' ]);
Router::connect('/api/v:version/:action/*', [ C => 'api' ], [ 'version' => '[1-9][0-9]*' ]);

# ~ Frontend custom routing	 - - - - - - - - - - - - - - - - - - - - - - - - - #
if (!CMS) {

	// Genability calculations
	Router::connect('/calculate/palm/*', [ P => null, C => 'calculate', A => 'palm' ]);
	Router::connect('/calculate/oasis/*', [ P => null, C => 'calculate', A => 'oasis' ]);

	# ~ Backend custom routing - - - - - - - - - - - - - - - - - - - - - - - - - - #
} else {

}
